apt: pkgCache::PkgIterator Class Reference

apt 3.0.1 commandline package manager

Public Types | Public Member Functions | Friends | List of all members
pkgCache::PkgIterator Class Reference
Inheritance diagram for pkgCache::PkgIterator:

## Public Types
enum | OkState { NeedsNothing , NeedsUnpack , NeedsConfigure }
Public Types inherited from pkgCache::Iterator< Package, PkgIterator >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference

## Public Member Functions
Package * | OwnerPointer () const
| PkgIterator (pkgCache &Owner)
PkgIterator & | operator++ ()
PkgIterator | operator++ (int)
const char * | Name () const
bool | Purge () const
const char * | Arch () const
APT_PURE GrpIterator | Group () const
VerIterator | VersionList () const APT_PURE
VerIterator | CurrentVer () const APT_PURE
DepIterator | RevDependsList () const APT_PURE
PrvIterator | ProvidesList () const APT_PURE
OkState | State () const APT_PURE
const char * | CurVersion () const APT_PURE
std::string | FullName (bool const &Pretty=false) const
| PkgIterator (pkgCache &Owner, Package *Trg)
Public Member Functions inherited from pkgCache::Iterator< Package, PkgIterator >
bool | end () const
bool | operator== (const PkgIterator &B) const
bool | operator!= (const PkgIterator &B) const
Package * | operator-> ()
Package const * | operator-> () const
| operator Package * ()
| operator Package const * () const
Package & | operator* ()
Package const & | operator* () const
pkgCache * | Cache () const
bool | IsGood () const
unsigned long | Index () const
map_pointer< Package > | MapPointer () const
void | ReMap (void const *const oldMap, void *const newMap)
| Iterator (pkgCache &Owner, Package *T=0)

## Friends
std::ostream & | operator<< (std::ostream &out, pkgCache::PkgIterator Pkg)

## Additional Inherited Members
Protected Attributes inherited from pkgCache::Iterator< Package, PkgIterator >
Package * | S
pkgCache * | Owner

The documentation for this class was generated from the following files:

- apt-pkg/cacheiterators.h
- apt-pkg/pkgcache.cc